RDKit: RDKit::AtomPDBResidueInfo Class Reference

| RDKit Open-source cheminformatics and machine learning.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
RDKit::AtomPDBResidueInfo Class Reference

Captures atom-level information about peptide residues. More...

`#include <MonomerInfo.h>`

Inheritance diagram for RDKit::AtomPDBResidueInfo:

## Public Member Functions
| AtomPDBResidueInfo ()
| AtomPDBResidueInfo (const AtomPDBResidueInfo &other)
| AtomPDBResidueInfo (const std::string &atomName, int serialNumber=0, const std::string &altLoc="", const std::string &residueName="", int residueNumber=0, const std::string &chainId="", const std::string &insertionCode="", double occupancy=1.0, double tempFactor=0.0, bool isHeteroAtom=false, unsigned int secondaryStructure=0, unsigned int segmentNumber=0)
int | getSerialNumber () const
void | setSerialNumber (int val)
const std::string & | getAltLoc () const
void | setAltLoc (const std::string &val)
const std::string & | getResidueName () const
void | setResidueName (const std::string &val)
int | getResidueNumber () const
void | setResidueNumber (int val)
const std::string & | getChainId () const
void | setChainId (const std::string &val)
const std::string & | getInsertionCode () const
void | setInsertionCode (const std::string &val)
double | getOccupancy () const
void | setOccupancy (double val)
double | getTempFactor () const
void | setTempFactor (double val)
bool | getIsHeteroAtom () const
void | setIsHeteroAtom (bool val)
unsigned int | getSecondaryStructure () const
void | setSecondaryStructure (unsigned int val)
unsigned int | getSegmentNumber () const
void | setSegmentNumber (unsigned int val)
AtomMonomerInfo * | copy () const
Public Member Functions inherited from RDKit::AtomMonomerInfo
virtual | ~AtomMonomerInfo ()
| AtomMonomerInfo ()
| AtomMonomerInfo (AtomMonomerType typ, const std::string &nm="")
| AtomMonomerInfo (const AtomMonomerInfo &other)
const std::string & | getName () const
void | setName (const std::string &nm)
AtomMonomerType | getMonomerType () const
void | setMonomerType (AtomMonomerType typ)

## Additional Inherited Members
Public Types inherited from RDKit::AtomMonomerInfo
enum | AtomMonomerType { UNKNOWN = 0, PDBRESIDUE, OTHER }

## Detailed Description

Captures atom-level information about peptide residues.

Definition at line 49 of file MonomerInfo.h.

## Constructor & Destructor Documentation

RDKit::AtomPDBResidueInfo::AtomPDBResidueInfo | ( |  | ) |
| inline

Definition at line 51 of file MonomerInfo.h.

Referenced by copy().

RDKit::AtomPDBResidueInfo::AtomPDBResidueInfo | ( | const AtomPDBResidueInfo & | other | ) |
| inline

Definition at line 52 of file MonomerInfo.h.

RDKit::AtomPDBResidueInfo::AtomPDBResidueInfo | ( | const std::string & | atomName,
|  | int | serialNumber = `0`,
|  | const std::string & | altLoc = `""`,
|  | const std::string & | residueName = `""`,
|  | int | residueNumber = `0`,
|  | const std::string & | chainId = `""`,
|  | const std::string & | insertionCode = `""`,
|  | double | occupancy = `1.0`,
|  | double | tempFactor = `0.0`,
|  | bool | isHeteroAtom = `false`,
|  | unsigned int | secondaryStructure = `0`,
|  | unsigned int | segmentNumber = `0`
| ) |  |
| inline

Definition at line 66 of file MonomerInfo.h.

## Member Function Documentation

AtomMonomerInfo* RDKit::AtomPDBResidueInfo::copy | ( |  | ) | const
| inlinevirtual

Reimplemented from RDKit::AtomMonomerInfo.

Definition at line 111 of file MonomerInfo.h.

References AtomPDBResidueInfo().

const std::string& RDKit::AtomPDBResidueInfo::getAltLoc | ( |  | ) | const
| inline

Definition at line 90 of file MonomerInfo.h.

const std::string& RDKit::AtomPDBResidueInfo::getChainId | ( |  | ) | const
| inline

Definition at line 96 of file MonomerInfo.h.

const std::string& RDKit::AtomPDBResidueInfo::getInsertionCode | ( |  | ) | const
| inline

Definition at line 98 of file MonomerInfo.h.

bool RDKit::AtomPDBResidueInfo::getIsHeteroAtom | ( |  | ) | const
| inline

Definition at line 104 of file MonomerInfo.h.

double RDKit::AtomPDBResidueInfo::getOccupancy | ( |  | ) | const
| inline

Definition at line 100 of file MonomerInfo.h.

const std::string& RDKit::AtomPDBResidueInfo::getResidueName | ( |  | ) | const
| inline

Definition at line 92 of file MonomerInfo.h.

int RDKit::AtomPDBResidueInfo::getResidueNumber | ( |  | ) | const
| inline

Definition at line 94 of file MonomerInfo.h.

unsigned int RDKit::AtomPDBResidueInfo::getSecondaryStructure | ( |  | ) | const
| inline

Definition at line 106 of file MonomerInfo.h.

unsigned int RDKit::AtomPDBResidueInfo::getSegmentNumber | ( |  | ) | const
| inline

Definition at line 108 of file MonomerInfo.h.

int RDKit::AtomPDBResidueInfo::getSerialNumber | ( |  | ) | const
| inline

Definition at line 88 of file MonomerInfo.h.

double RDKit::AtomPDBResidueInfo::getTempFactor | ( |  | ) | const
| inline

Definition at line 102 of file MonomerInfo.h.

void RDKit::AtomPDBResidueInfo::setAltLoc | ( | const std::string & | val | ) |
| inline

Definition at line 91 of file MonomerInfo.h.

void RDKit::AtomPDBResidueInfo::setChainId | ( | const std::string & | val | ) |
| inline

Definition at line 97 of file MonomerInfo.h.

void RDKit::AtomPDBResidueInfo::setInsertionCode | ( | const std::string & | val | ) |
| inline

Definition at line 99 of file MonomerInfo.h.

void RDKit::AtomPDBResidueInfo::setIsHeteroAtom | ( | bool | val | ) |
| inline

Definition at line 105 of file MonomerInfo.h.

void RDKit::AtomPDBResidueInfo::setOccupancy | ( | double | val | ) |
| inline

Definition at line 101 of file MonomerInfo.h.

void RDKit::AtomPDBResidueInfo::setResidueName | ( | const std::string & | val | ) |
| inline

Definition at line 93 of file MonomerInfo.h.

void RDKit::AtomPDBResidueInfo::setResidueNumber | ( | int | val | ) |
| inline

Definition at line 95 of file MonomerInfo.h.

void RDKit::AtomPDBResidueInfo::setSecondaryStructure | ( | unsigned int | val | ) |
| inline

Definition at line 107 of file MonomerInfo.h.

void RDKit::AtomPDBResidueInfo::setSegmentNumber | ( | unsigned int | val | ) |
| inline

Definition at line 109 of file MonomerInfo.h.

void RDKit::AtomPDBResidueInfo::setSerialNumber | ( | int | val | ) |
| inline

Definition at line 89 of file MonomerInfo.h.

void RDKit::AtomPDBResidueInfo::setTempFactor | ( | double | val | ) |
| inline

Definition at line 103 of file MonomerInfo.h.

The documentation for this class was generated from the following file:

- MonomerInfo.h